/*
 * * * Compile_AHK SETTINGS BEGIN * * *

[AHK2EXE]
Exe_File=%In_Dir%\SrtStrip.exe
No_UPX=1
[VERSION]
Set_Version_Info=1
Company_Name=FavesSoft LLC
File_Description=SrtStrip
File_Version=1.3.4.0
Inc_File_Version=0
Internal_Name=SrtStrip
Legal_Copyright=2010 www.FavesSoft.com
Original_Filename=SrtStrip
Product_Name=SrtStrip
Product_Version=1.3.4.0
[ICONS]
Icon_1=%In_Dir%\SrtStrip.ico

* * * Compile_AHK SETTINGS END * * *
*/

#NoEnv
#NoTrayIcon
SendMode Input
#include MilesAhead.ahk
Count := 0

If 0 < 1
{
	MsgBox, 64, SrtStrip Usage, SrtStrip Copyright (c)  %A_Year% www.FavesSoft.com`n`nUsage: Drag and Drop .srt files on shortcut`n`nOutput is filename.srt.strip`n`n<> tags are removed. Brace song lyric tags`n are replaced with >> to indicate a lyric line
	ExitApp
}

Loop %0%  ; For each parameter (or file dropped onto a script):
{
	Param := %A_Index%  ; Fetch the contents of the variable whose name is contained in A_Index.
	Loop %Param%
	{
    Count := Count + 1
		InPath = %A_LoopFileLongPath%
		OutPath := InPath ".strip"
		IfExist,%OutPath%
			FileDelete,%OutPath%
		Loop, read, %InPath%,%OutPath%
		{
			result := RegExReplace(A_LoopReadLine,"U)<.+>")
			result := RegExReplace(result,"{.*}",">> ")
			FileAppend,%result%`n
		}
	}
}
MsgBox, 8256, SrtStrip, %Count%  Files Stripped
